Subject: CPM2 (MPC8260) SMC problem. Please help.

From: Boris Shteinbock <[email-masked]>
Date: Wed, 18 Oct 2006 22:40:31 +0200

Hi ppl.

I have discovered very very odd problem with SMC2 on my 8260 board.
kernel version is 2.6.17.

The board is 8260 with serial ports on SMC1 and SMC 2 (SMC1 - console)

Now if I use SMC2 for communicating with remote device, ( some protocol)
I am sending packets and wait for a response.
However if the packet I send is SMALLER than 5 bytes, SMC goes 
completely crazy.
write() doesn't return error, but the next read() hangs completely, and the
process moves to D state and it is impossible to kill it by any means.
It only happens when consequent writes of smaller than 5 bytes.
I tried to check the driver, but couldn't find any clues to what goes wrong.

I tried both compatibility and platform-based modes with the same results.

Any help on the issue would be highliy appreciated.